ApiAtlasReplicationRemoteArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiAtlasReplicationRemoteArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAtlasReplicationRemoteArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiAtlasReplicationRemoteArgs
      extends Object

  ApiAtlasReplicationRemoteArgs

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAtlasReplicationRemoteArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAtlasReplicationRemoteArgs` | `addAtlasEntityTypeItem(String atlasEntityTypeItem)`
    `ApiAtlasReplicationRemoteArgs` | `addLocationMappingItem(ApiMapEntry locationMappingItem)`
    `ApiAtlasReplicationRemoteArgs` | `alternateTargetDataRoot(String alternateTargetDataRoot)`
    `ApiAtlasReplicationRemoteArgs` | `altStagingLocation(String altStagingLocation)`
    `ApiAtlasReplicationRemoteArgs` | `atlasChangeMarker(String atlasChangeMarker)`
    `ApiAtlasReplicationRemoteArgs` | `atlasEntityRegexPattern(String atlasEntityRegexPattern)`
    `ApiAtlasReplicationRemoteArgs` | `atlasEntityType(List<String> atlasEntityType)`
    `boolean` | `equals(Object o)`
    `ApiAtlasReplicationRemoteArgs` | `fetchType(String fetchType)`
    `String` | `getAlternateTargetDataRoot()` Get alternateTargetDataRoot
    `String` | `getAltStagingLocation()` Get altStagingLocation
    `String` | `getAtlasChangeMarker()` Get atlasChangeMarker
    `String` | `getAtlasEntityRegexPattern()` Get atlasEntityRegexPattern
    `List<String>` | `getAtlasEntityType()` Get atlasEntityType
    `String` | `getFetchType()` Get fetchType
    `ApiHdfsReplicationSourcePath` | `getHdfsReplicationSourcePath()` Get hdfsReplicationSourcePath
    `ApiHiveReplicationTableFilters` | `getHiveReplicationTableFilters()` Get hiveReplicationTableFilters
    `ApiIcebergReplicationTableFilters` | `getIcebergReplicationTableFilters()` Get icebergReplicationTableFilters
    `List<ApiMapEntry>` | `getLocationMapping()` Get locationMapping
    `String` | `getMatchType()` Get matchType
    `Map<String,String>` | `getPolicyOptions()` Get policyOptions
    `Map<String,IcebergReplicationSafetyValve>` | `getSafetyValvesSource()` Get safetyValvesSource
    `ApiServiceRef` | `getSourceService()` Get sourceService
    `SourceStorageFilter` | `getSourceStorageFilter()` Get sourceStorageFilter
    `String` | `getStagingDir()` Get stagingDir
    `String` | `getTableTypeForAtlas()` Get tableTypeForAtlas
    `int` | `hashCode()`
    `ApiAtlasReplicationRemoteArgs` | `hdfsReplicationSourcePath(ApiHdfsReplicationSourcePath hdfsReplicationSourcePath)`
    `ApiAtlasReplicationRemoteArgs` | `hiveReplicationTableFilters(ApiHiveReplicationTableFilters hiveReplicationTableFilters)`
    `ApiAtlasReplicationRemoteArgs` | `icebergReplicationTableFilters(ApiIcebergReplicationTableFilters icebergReplicationTableFilters)`
    `Boolean` | `isSkipLineage()` Get skipLineage
    `ApiAtlasReplicationRemoteArgs` | `locationMapping(List<ApiMapEntry> locationMapping)`
    `ApiAtlasReplicationRemoteArgs` | `matchType(String matchType)`
    `ApiAtlasReplicationRemoteArgs` | `policyOptions(Map<String,String> policyOptions)`
    `ApiAtlasReplicationRemoteArgs` | `putPolicyOptionsItem(String key, String policyOptionsItem)`
    `ApiAtlasReplicationRemoteArgs` | `putSafetyValvesSourceItem(String key, IcebergReplicationSafetyValve safetyValvesSourceItem)`
    `ApiAtlasReplicationRemoteArgs` | `safetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)`
    `void` | `setAlternateTargetDataRoot(String alternateTargetDataRoot)`
    `void` | `setAltStagingLocation(String altStagingLocation)`
    `void` | `setAtlasChangeMarker(String atlasChangeMarker)`
    `void` | `setAtlasEntityRegexPattern(String atlasEntityRegexPattern)`
    `void` | `setAtlasEntityType(List<String> atlasEntityType)`
    `void` | `setFetchType(String fetchType)`
    `void` | `setHdfsReplicationSourcePath(ApiHdfsReplicationSourcePath hdfsReplicationSourcePath)`
    `void` | `setHiveReplicationTableFilters(ApiHiveReplicationTableFilters hiveReplicationTableFilters)`
    `void` | `setIcebergReplicationTableFilters(ApiIcebergReplicationTableFilters icebergReplicationTableFilters)`
    `void` | `setLocationMapping(List<ApiMapEntry> locationMapping)`
    `void` | `setMatchType(String matchType)`
    `void` | `setPolicyOptions(Map<String,String> policyOptions)`
    `void` | `setSafetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)`
    `void` | `setSkipLineage(Boolean skipLineage)`
    `void` | `setSourceService(ApiServiceRef sourceService)`
    `void` | `setSourceStorageFilter(SourceStorageFilter sourceStorageFilter)`
    `void` | `setStagingDir(String stagingDir)`
    `void` | `setTableTypeForAtlas(String tableTypeForAtlas)`
    `ApiAtlasReplicationRemoteArgs` | `skipLineage(Boolean skipLineage)`
    `ApiAtlasReplicationRemoteArgs` | `sourceService(ApiServiceRef sourceService)`
    `ApiAtlasReplicationRemoteArgs` | `sourceStorageFilter(SourceStorageFilter sourceStorageFilter)`
    `ApiAtlasReplicationRemoteArgs` | `stagingDir(String stagingDir)`
    `ApiAtlasReplicationRemoteArgs` | `tableTypeForAtlas(String tableTypeForAtlas)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAtlasReplicationRemoteArgs

          public ApiAtlasReplicationRemoteArgs()

  - ### Method Detail

    - #### sourceService

          public ApiAtlasReplicationRemoteArgs sourceService(ApiServiceRef sourceService)

    - #### getSourceService

          public ApiServiceRef getSourceService()

      Get sourceService
      Returns:
        sourceService

    - #### setSourceService

          public void setSourceService(ApiServiceRef sourceService)

    - #### safetyValvesSource

          public ApiAtlasReplicationRemoteArgs safetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)

    - #### putSafetyValvesSourceItem

          public ApiAtlasReplicationRemoteArgs putSafetyValvesSourceItem(String key,
                                                                         IcebergReplicationSafetyValve safetyValvesSourceItem)

    - #### getSafetyValvesSource

          public Map<String,IcebergReplicationSafetyValve> getSafetyValvesSource()

      Get safetyValvesSource
      Returns:
        safetyValvesSource

    - #### setSafetyValvesSource

          public void setSafetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)

    - #### altStagingLocation

          public ApiAtlasReplicationRemoteArgs altStagingLocation(String altStagingLocation)

    - #### getAltStagingLocation

          public String getAltStagingLocation()

      Get altStagingLocation
      Returns:
        altStagingLocation

    - #### setAltStagingLocation

          public void setAltStagingLocation(String altStagingLocation)

    - #### alternateTargetDataRoot

          public ApiAtlasReplicationRemoteArgs alternateTargetDataRoot(String alternateTargetDataRoot)

    - #### getAlternateTargetDataRoot

          public String getAlternateTargetDataRoot()

      Get alternateTargetDataRoot
      Returns:
        alternateTargetDataRoot

    - #### setAlternateTargetDataRoot

          public void setAlternateTargetDataRoot(String alternateTargetDataRoot)

    - #### sourceStorageFilter

          public ApiAtlasReplicationRemoteArgs sourceStorageFilter(SourceStorageFilter sourceStorageFilter)

    - #### getSourceStorageFilter

          public SourceStorageFilter getSourceStorageFilter()

      Get sourceStorageFilter
      Returns:
        sourceStorageFilter

    - #### setSourceStorageFilter

          public void setSourceStorageFilter(SourceStorageFilter sourceStorageFilter)

    - #### locationMapping

          public ApiAtlasReplicationRemoteArgs locationMapping(List<ApiMapEntry> locationMapping)

    - #### addLocationMappingItem

          public ApiAtlasReplicationRemoteArgs addLocationMappingItem(ApiMapEntry locationMappingItem)

    - #### getLocationMapping

          public List<ApiMapEntry> getLocationMapping()

      Get locationMapping
      Returns:
        locationMapping

    - #### setLocationMapping

          public void setLocationMapping(List<ApiMapEntry> locationMapping)

    - #### policyOptions

          public ApiAtlasReplicationRemoteArgs policyOptions(Map<String,String> policyOptions)

    - #### putPolicyOptionsItem

          public ApiAtlasReplicationRemoteArgs putPolicyOptionsItem(String key,
                                                                    String policyOptionsItem)

    - #### getPolicyOptions

          public Map<String,String> getPolicyOptions()

      Get policyOptions
      Returns:
        policyOptions

    - #### setPolicyOptions

          public void setPolicyOptions(Map<String,String> policyOptions)

    - #### stagingDir

          public ApiAtlasReplicationRemoteArgs stagingDir(String stagingDir)

    - #### getStagingDir

          public String getStagingDir()

      Get stagingDir
      Returns:
        stagingDir

    - #### setStagingDir

          public void setStagingDir(String stagingDir)

    - #### matchType

          public ApiAtlasReplicationRemoteArgs matchType(String matchType)

    - #### getMatchType

          public String getMatchType()

      Get matchType
      Returns:
        matchType

    - #### setMatchType

          public void setMatchType(String matchType)

    - #### atlasEntityRegexPattern

          public ApiAtlasReplicationRemoteArgs atlasEntityRegexPattern(String atlasEntityRegexPattern)

    - #### getAtlasEntityRegexPattern

          public String getAtlasEntityRegexPattern()

      Get atlasEntityRegexPattern
      Returns:
        atlasEntityRegexPattern

    - #### setAtlasEntityRegexPattern

          public void setAtlasEntityRegexPattern(String atlasEntityRegexPattern)

    - #### atlasEntityType

          public ApiAtlasReplicationRemoteArgs atlasEntityType(List<String> atlasEntityType)

    - #### addAtlasEntityTypeItem

          public ApiAtlasReplicationRemoteArgs addAtlasEntityTypeItem(String atlasEntityTypeItem)

    - #### getAtlasEntityType

          public List<String> getAtlasEntityType()

      Get atlasEntityType
      Returns:
        atlasEntityType

    - #### setAtlasEntityType

          public void setAtlasEntityType(List<String> atlasEntityType)

    - #### fetchType

          public ApiAtlasReplicationRemoteArgs fetchType(String fetchType)

    - #### getFetchType

          public String getFetchType()

      Get fetchType
      Returns:
        fetchType

    - #### setFetchType

          public void setFetchType(String fetchType)

    - #### skipLineage

          public ApiAtlasReplicationRemoteArgs skipLineage(Boolean skipLineage)

    - #### isSkipLineage

          public Boolean isSkipLineage()

      Get skipLineage
      Returns:
        skipLineage

    - #### setSkipLineage

          public void setSkipLineage(Boolean skipLineage)

    - #### atlasChangeMarker

          public ApiAtlasReplicationRemoteArgs atlasChangeMarker(String atlasChangeMarker)

    - #### getAtlasChangeMarker

          public String getAtlasChangeMarker()

      Get atlasChangeMarker
      Returns:
        atlasChangeMarker

    - #### setAtlasChangeMarker

          public void setAtlasChangeMarker(String atlasChangeMarker)

    - #### tableTypeForAtlas

          public ApiAtlasReplicationRemoteArgs tableTypeForAtlas(String tableTypeForAtlas)

    - #### getTableTypeForAtlas

          public String getTableTypeForAtlas()

      Get tableTypeForAtlas
      Returns:
        tableTypeForAtlas

    - #### setTableTypeForAtlas

          public void setTableTypeForAtlas(String tableTypeForAtlas)

    - #### hiveReplicationTableFilters

          public ApiAtlasReplicationRemoteArgs hiveReplicationTableFilters(ApiHiveReplicationTableFilters hiveReplicationTableFilters)

    - #### getHiveReplicationTableFilters

          public ApiHiveReplicationTableFilters getHiveReplicationTableFilters()

      Get hiveReplicationTableFilters
      Returns:
        hiveReplicationTableFilters

    - #### setHiveReplicationTableFilters

          public void setHiveReplicationTableFilters(ApiHiveReplicationTableFilters hiveReplicationTableFilters)

    - #### icebergReplicationTableFilters

          public ApiAtlasReplicationRemoteArgs icebergReplicationTableFilters(ApiIcebergReplicationTableFilters icebergReplicationTableFilters)

    - #### getIcebergReplicationTableFilters

          public ApiIcebergReplicationTableFilters getIcebergReplicationTableFilters()

      Get icebergReplicationTableFilters
      Returns:
        icebergReplicationTableFilters

    - #### setIcebergReplicationTableFilters

          public void setIcebergReplicationTableFilters(ApiIcebergReplicationTableFilters icebergReplicationTableFilters)

    - #### hdfsReplicationSourcePath

          public ApiAtlasReplicationRemoteArgs hdfsReplicationSourcePath(ApiHdfsReplicationSourcePath hdfsReplicationSourcePath)

    - #### getHdfsReplicationSourcePath

          public ApiHdfsReplicationSourcePath getHdfsReplicationSourcePath()

      Get hdfsReplicationSourcePath
      Returns:
        hdfsReplicationSourcePath

    - #### setHdfsReplicationSourcePath

          public void setHdfsReplicationSourcePath(ApiHdfsReplicationSourcePath hdfsReplicationSourcePath)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.